## EComposerHeader

EComposerHeader

## Functions

const gchar * | e_composer_header_get_label ()
ESourceRegistry * | e_composer_header_get_registry ()
gboolean | e_composer_header_get_sensitive ()
void | e_composer_header_set_sensitive ()
gboolean | e_composer_header_get_visible ()
void | e_composer_header_set_visible ()
void | e_composer_header_set_title_tooltip ()
void | e_composer_header_set_input_tooltip ()

## Properties

gboolean | button | Read / Write / Construct Only
gchar * | label | Read / Write / Construct Only
ESourceRegistry * | registry | Read / Write / Construct Only
gboolean | sensitive | Read / Write
gboolean | visible | Read / Write

## Signals

void | changed | Run Last
void | clicked | Run Last

## Types and Values

struct | EComposerHeader

## Object Hierarchy

        GObject
        ╰── EComposerHeader
            ├── EComposerFromHeader
            ├── EComposerNameHeader
            ╰── EComposerTextHeader

## Description

## Functions

### e_composer_header_get_label ()

    const gchar *
    e_composer_header_get_label (EComposerHeader *header);

### e_composer_header_get_registry ()

    ESourceRegistry *
    e_composer_header_get_registry (EComposerHeader *header);

### e_composer_header_get_sensitive ()

    gboolean
    e_composer_header_get_sensitive (EComposerHeader *header);

### e_composer_header_set_sensitive ()

    void
    e_composer_header_set_sensitive (EComposerHeader *header,
                                     gboolean sensitive);

### e_composer_header_get_visible ()

    gboolean
    e_composer_header_get_visible (EComposerHeader *header);

### e_composer_header_set_visible ()

    void
    e_composer_header_set_visible (EComposerHeader *header,
                                   gboolean visible);

### e_composer_header_set_title_tooltip ()

    void
    e_composer_header_set_title_tooltip (EComposerHeader *header,
                                         const gchar *tooltip);

### e_composer_header_set_input_tooltip ()

    void
    e_composer_header_set_input_tooltip (EComposerHeader *header,
                                         const gchar *tooltip);

## Types and Values

### struct EComposerHeader

    struct EComposerHeader;

## Property Details

### The `“button”` property

      “button”                   gboolean

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“label”` property

      “label”                    gchar *

Flags: Read / Write / Construct Only

Default value: NULL

### The `“registry”` property

      “registry”                 ESourceRegistry *

Flags: Read / Write / Construct Only

### The `“sensitive”` property

      “sensitive”                gboolean

Flags: Read / Write

Default value: FALSE

### The `“visible”` property

      “visible”                  gboolean

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (EComposerHeader *ecomposerheader,
                   gpointer         user_data)

Flags: Run Last

### The `“clicked”` signal

    void
    user_function (EComposerHeader *ecomposerheader,
                   gpointer         user_data)

Flags: Run Last